Skip to main content
GET
List deliveries

Authorizations

Authorization
string
header
required

OAuth 2.0 client credentials. Exchange your client_id and client_secret for an access token scoped to the organisation that provides data access.

Headers

Cula-Organisation-Id
string
required

ID of the organisation the request operates on behalf of (e.g. org_...). Must be an organisation the API client has access to.

Example:

"org_01k83mfmhgchya944v86ryvhpq"

Query Parameters

limit
integer
default:10

Maximum number of items to return.

Required range: 1 <= x <= 50
sender_site_id
string

Only return deliveries where any leg ships from the given site.

Example:

"ste_01k8g7aec6dt5zrtamc72ww446"

receiver_site_id
string

Only return deliveries where any leg ships to the given site.

Example:

"ste_01k8g7aec6dt5zrtamc72ww446"

config_id
string

Only return deliveries created from the given delivery config.

Example:

"dlvc_01kkygy9cxxqhhr93aw74aycbr"

status
enum<string>

Only return deliveries with the given status. Defaults to finished: drafts only appear when requested explicitly.

Available options:
draft,
finished
starting_after
string

Cursor representing the item ID after which to start listing results.

Response

data
object[]
required
pagination
object
required